Name:		python-pysaml2
Version:	7.1.2
Release:	1
Summary:	Python implementation of SAML Version 2 Standard
License:	Apache-2.0
URL:		https://github.com/IdentityPython/pysaml2
Source0:        https://github.com/IdentityPython/pysaml2/archive/refs/tags/v%{version}.tar.gz
BuildArch:	noarch

BuildRequires:   python3-sphinx
BuildRequires:   python3-defusedxml
BuildRequires:   python3-devel
BuildRequires:   python3-setuptools
Requires:        python3-cryptography
Requires:        python3-defusedxml
Requires:        python3-pyOpenSSL
Requires:        python3-dateutil
Requires:        python3-pytz
Requires:        python3-requests
Requires:        python3-six
Requires:        python3-importlib-resources
Requires:        python3-xmlschema

%description
PySAML2 is a pure python implementation of SAML2. It contains all
necessary pieces for building a SAML2 service provider or an identity
provider. The distribution contains examples of both. Originally
written to work in a WSGI environment there are extensions that allow
you to use it with other frameworks.

%package -n python3-pysaml2
Summary:	Python implementation of SAML Version 2 Standard
Provides:	python-pysaml2

%description -n python3-pysaml2
PySAML2 is a pure python implementation of SAML2. It contains all
necessary pieces for building a SAML2 service provider or an identity
provider. The distribution contains examples of both. Originally
written to work in a WSGI environment there are extensions that allow
you to use it with other frameworks.

%package doc
Summary: Documentation for Python implementation of SAML Version 2

%description doc
Documentation for Python implementation of SAML Version 2.


%prep
%autosetup -n pysaml2-%{version}

%build
%py3_build

%install
%py3_install


%files -n python3-pysaml2
%doc README.rst
%license LICENSE
%{_bindir}/parse_xsd2.py
%{_bindir}/make_metadata.py
%{_bindir}/mdexport.py
%{_bindir}/merge_metadata.py
%{python3_sitelib}/saml2
%{python3_sitelib}/*.egg-info

%changelog
* Tue May 31 2022 liyanan <liyanan32@h-partners.com> - 7.1.2-1
- update to 7.1.2

* Fri May 20 2022 liukuo <liukuo@kylinos.cn> - 6.5.1-2
- License compliance rectification

* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 6.5.1-1
- Update version to 6.5.1

* Sat Jan 30 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
